<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/

/**
 * Schmeisst Benutzer mit unerwuenschten nicks wieder aus dem Channel
 */

// Installationsanweisungen
if (isset($_GET['install'])) {
	echo "action:join(Kickt einen Benutzer, wenn der Nick bestimmte Kriterien nicht erfuellt)\n";
	echo "action:nick(Kickt einen Benutzer, wenn der Nick bestimmte Kriterien nicht erfuellt)\n";
	die();
}

// Einbinden der MySQL-Klasse und erstellen des Objektes
require_once(dirname(__FILE__) . '/../classes/mysql.php');
$mysql = new mysql();

switch ($_GET['command']) {
	case 'join':
		$nick = $_GET['nick'];
	case 'nick':
		if (!isset($nick)) $nick = $_GET['newnick'];	
	
		if (strlen($nick) >= 15) { // Wenn der Nick zu lang ist
		
			// Kicken
			echo 'kick:' . $_GET['channel'] . ':' . $nick . "(Reason: Too long nick (>= 15 Chars); See: http://microco.de/php/regeln.html)\n";
			// Bannen
			echo 'ban:' . $_GET['channel'] . '(' . $nick . "*!*@*)\n";
			// Ban nach einer Stunde wieder aufheben
			echo 'timed:+3600(unban:' . $_GET['channel'] . '(' . $nick . "*!*@*))\n";
			
		} elseif (!preg_match('/^[a-zA-Z]/', $nick)) { // Wenn der Nick nicht mit einem buchstaben anfaengt
		
			// Kicken
			echo 'kick:' . $_GET['channel'] . ':' . $nick . "(Reason: The first character of your nickname should be a letter; See: http://microco.de/php/regeln.html)\n";
			// Bannen
			echo 'ban:' . $_GET['channel'] . '(' . $nick . "*!*@*)\n";
			// Ban nach einer Stunde wieder aufheben
			echo 'timed:+3600(unban:' . $_GET['channel'] . '(' . $nick . "*!*@*))\n";
		}
	break;
}


?>