<?php

/***
 * 
 * k.Bot - modular irc bot
 * Copyright (C) 2004 Kore Nordmann - http://www.kore-nordmann.de (German)
 * 
 * This program is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or (at 
 * your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License 
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA. 
 * 
 * You may contact the author by mail:
 * kbot@kore-nordmann.de
 *
 * Or write to:
 * Kore Nordmann
 * Stockumer Strasse 404
 * 44227 Dortmund
 * Germany
 *
 * The latest version of k.Bot can be obtained from:
 * http://www.kore-nordmann.de/
 *
 **/

error_reporting(E_ALL);

// Starten der Session
session_start();

require_once('../classes/kc.php');
$site = new navigation();

// Die Seiten einfuegen
$nr = $site->addMain(	'Bot',
						'include/bot.php',
						'&Uuml;bersicht &uuml;ber die Bots',
						'bot.png');

$site->addSub(	$nr,
				'Neu',
				'include/b_new.php',
				'Neuen Bot anlegen',
				'b_new.png');
/*$site->addSub(	$nr,
				'Konfiguration',
				'include/b_edit.php',
				'Bot konfigurieren',
				'b_edit.png');*/
$site->addSub(	$nr,
				'Server',
				'include/b_server.php',
				'Server konfigurieren',
				'b_server.png');
$site->addSub(	$nr,
				'Channel',
				'include/b_channel.php',
				'Channel&uuml;bersicht',
				'b_channel.png');
$site->addSub(	$nr,
				'Zugriffsrechte',
				'include/b_access.php',
				'Zugriffsrechte in den Channels',
				'b_access.png');
$site->addSub(	$nr,
				'Benutzer',
				'include/b_user.php',
				'Benutzer&uuml;bersicht',
				'b_user.png');
$site->addSub(	$nr,
				'Log',
				'include/b_log.php',
				'Logdatei des Bots',
				'b_log.png');

$nr = $site->addMain(	'Konfiguration',
						'include/conf.php',
						'&Uuml;bersicht &uuml;ber die Module',
						'conf.png');

$site->addSub(	$nr,
				'Module',
				'include/c_module.php',
				'Module installieren',
				'c_module.png');
$site->addSub(	$nr,
				'Kommandos',
				'include/c_cmmds.php',
				'Kommando&uuml;bersicht',
				'c_cmmds.png');

$nr = $site->addMain(	'Benutzer',
						'include/user.php',
						'&Uuml;bersicht &uuml;ber die User',
						'user.png');

// Parameter ueberpruefen
if (!isset($_REQUEST['kat'])) $_REQUEST['kat'] = 0;
if (!isset($_REQUEST['site'])) $_REQUEST['site'] = 0;

// Die Seite ausgeben
echo $site->output($_REQUEST['kat'], $_REQUEST['site']);

?>